## org.eclipse.datatools.modelbase.sql.tables.impl
Class TemporaryTableImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
                  org.eclipse.datatools.modelbase.sql.tables.impl.BaseTableImpl
                      org.eclipse.datatools.modelbase.sql.tables.impl.TemporaryTableImpl

All Implemented Interfaces:
  BaseTable, SQLObject, Table, TemporaryTable

public class TemporaryTableImpl
extends BaseTableImpl
implements TemporaryTable

An implementation of the model object 'Temporary Table'.

The following features are implemented:

- `Local`
- `Delete On Commit`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`boolean` `isDeleteOnCommit()`
`boolean` `isLocal()`
`void` `setDeleteOnCommit(boolean newDeleteOnCommit)`
`void` `setLocal(boolean newLocal)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.BaseTableImpl
`getConstraints, getForeignKeys, getPrimaryKey, getReferencingForeignKeys, getUniqueConstraints`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
`basicGetSchema, basicGetSupertable, basicGetUdt, basicSetSchema, basicSetSupertable, getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.BaseTable
`getConstraints, getForeignKeys, getPrimaryKey, getReferencingForeignKeys, getUniqueConstraints`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isLocal

    public boolean isLocal()

  Specified by:
    `isLocal` in interface `TemporaryTable`
  Returns:
    the value of the 'Local' attribute.
  See Also:
    `TemporaryTable.setLocal(boolean)`, `SQLTablesPackage.getTemporaryTable_Local()`

### setLocal

    public void setLocal(boolean newLocal)

  Specified by:
    `setLocal` in interface `TemporaryTable`
  Parameters:
    `newLocal` - the new value of the 'Local' attribute.
  See Also:
    `TemporaryTable.isLocal()`

### isDeleteOnCommit

    public boolean isDeleteOnCommit()

  Specified by:
    `isDeleteOnCommit` in interface `TemporaryTable`
  Returns:
    the value of the 'Delete On Commit' attribute.
  See Also:
    `TemporaryTable.setDeleteOnCommit(boolean)`, `SQLTablesPackage.getTemporaryTable_DeleteOnCommit()`

### setDeleteOnCommit

    public void setDeleteOnCommit(boolean newDeleteOnCommit)

  Specified by:
    `setDeleteOnCommit` in interface `TemporaryTable`
  Parameters:
    `newDeleteOnCommit` - the new value of the 'Delete On Commit' attribute.
  See Also:
    `TemporaryTable.isDeleteOnCommit()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `BaseTableImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BaseTableImpl`

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

  Overrides:
    `eGet` in class `BaseTableImpl`

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `BaseTableImpl`

### eUnset

    public void eUnset(EStructuralFeature eFeature)

  Overrides:
    `eUnset` in class `BaseTableImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `BaseTableImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `TableImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.